<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule>
        <condition name = "ZOOM_RATIO" min = "0" max = "1.0"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "wide" prev = "true" marginPixel = "200"/>
            <camera name = "main" marginPixel = "200"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "11.11"/>
        <condition name = "CURRENT_PREV" value = "wide"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "200"/>
            <camera name = "wide" numOfDelayFrames = "5" marginPixel = "200"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = ""/>
        <condition name = "OBJECT_DISTANCE" min = "140.0" max = ""/>
        <condition name = "CURRENT_PREV" value = "wide"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "tele" prev = "true" marginPixel = "200"/>
            <camera name = "wide" numOfDelayFrames = "5" marginPixel = "200"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "11.11" max = ""/>
        <condition name = "CURRENT_PREV" value = "wide"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "tele" prev = "true" marginPixel = "200"/>
            <camera name = "wide" numOfDelayFrames = "5" marginPixel = "200"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.15" max = "1.5"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <condition name = "TARGET_ZOOM_RATIO" min = "2.3" max = ""/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele" dynamic = "true" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.0" max = "1.5"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "0" max = "1.0"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "wide" dynamic = "true" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "1.5" max = "2.3"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <dynamicCondition name = "TARGET_ZOOM_RATIO" min = "2.3" max = ""/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele" dynamic = "true" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "2.3" max = "3.72"/>
        <dynamicCondition name = "ESCAPE_LEVEL" min = "0" max = "48"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "200"/>
            <camera name = "tele" marginPixel = "200"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = ""/>
        <condition name = "ESCAPE_LEVEL" min = "48" max = "99999"/>
        <settingCondition name = "ZOOM_RATIO" min = "7.33" max = ""/>
        <outState>
            <camera name = "tele" prev = "true" settingType = "quad"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <condition name = "OBJECT_DISTANCE" min = "150.0" max = ""/>
        <!--LUMINANCE is int32_t type, if max not configured, the default value is 0-->
        <condition name = "LUMINANCE" min = "17" max = "99999"/>
        <condition name = "TARGET_ZOOM_RATIO" min = "0" max = "6.6"/>
        <outState>
            <camera name = "tele" prev = "true" marginPixel = "100"/>
            <camera name = "main" marginPixel = "100" numOfDelayFrames = "20"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <condition name = "OBJECT_DISTANCE" min = "150.0" max = ""/>
        <!--LUMINANCE is int32_t type, if max not configured, the default value is 0-->
        <condition name = "LUMINANCE" min = "17" max = "99999"/>
        <settingCondition name = "ZOOM_RATIO" min = "7.33" max = ""/>
        <outState>
            <camera name = "tele" prev = "true" settingType = "quad" marginPixel = "100"/>
            <camera name = "main" marginPixel = "100" numOfDelayFrames = "20"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <condition name = "OBJECT_DISTANCE" min = "0" max = "0.001"/>
        <settingCondition name = "ZOOM_RATIO" min = "7.33" max = ""/>
        <outState>
            <camera name = "tele" prev = "true" settingType = "quad" marginPixel = "100"/>
            <camera name = "main" marginPixel = "100" numOfDelayFrames = "20"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <condition name = "OBJECT_DISTANCE" min = "0.0" max = "120.0"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele" numOfDelayFrames = "20" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <condition name = "LUMINANCE" min = "-100" max = "9"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele" numOfDelayFrames = "20" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <condition name = "CURRENT_PREV" value = "main"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <condition name = "CURRENT_PREV" value = "tele"/>
        <condition name = "TARGET_ZOOM_RATIO" min = "0" max = "6.6"/>
        <outState>
            <camera name = "tele" prev = "true" marginPixel = "100"/>
            <camera name = "main" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <condition name = "CURRENT_PREV" value = "tele"/>
        <settingCondition name = "ZOOM_RATIO" min = "7.33" max = ""/>
        <outState>
            <camera name = "tele" prev = "true" settingType = "quad" marginPixel = "100"/>
            <camera name = "main" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "3.72" max = "11.11"/>
        <outState>
            <camera name = "main" prev = "true" marginPixel = "100"/>
            <camera name = "tele" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "11.11" max = ""/>
        <condition name = "TARGET_ZOOM_RATIO" min = "0" max = "6.6"/>
        <outState>
            <camera name = "tele" prev = "true" marginPixel = "100"/>
            <camera name = "main" marginPixel = "100"/>
        </outState>
    </rule>
    <rule>
        <condition name = "ZOOM_RATIO" min = "11.11" max = ""/>
        <outState>
            <camera name = "tele" prev = "true" settingType = "quad" marginPixel = "100" sketch = "true" sketchRatio = "8.0" sketchMarginRatio = "6.0"/>
            <camera name = "main" marginPixel = "100"/>
        </outState>
    </rule>
</MultiCameraConfigTable>
